;-----------------------------------------------------------------------------
; Assembly main line
;-----------------------------------------------------------------------------
; Testing Random User Module
; 
; Chains:
; Random_1 --> DigBuf_1 --> P0[2]
; Random_2 --> DigBuf_2 --> P0[3]
; Random_3 --> DigBuf_3 --> P0[4]
; Random_4 --> DigBuf_4 --> P0[5]
;




include "m8c.inc"       ; part specific constants and macros
include "memory.inc"    ; Constants & macros for SMM/LMM and Compiler
include "PSoCAPI.inc"   ; PSoC API definitions for all User Modules

export _main

_main:

    ; Insert your main assembly code here.

	;start DigBuf UMs
	;Random UMs are already started (usig Device Editor)
	call DigBuf_1_Start
	call DigBuf_2_Start
	call DigBuf_3_Start
	call DigBuf_4_Start


	call Counter8_1_Start
.terminate:
    jmp .terminate
